SDL_GetCameraDeviceName(3)

NAME
SDL_GetCameraDeviceName - Get human-readable device name for a camera.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_GetCameraDeviceName(SDL_CameraDeviceID instance_id);

DESCRIPTION
The returned string is owned by the caller; please release it with SDL_free () when done with it.

FUNCTION PARAMETERS

instance_id
    the camera device instance ID

RETURN VALUE
Returns Human-readable device name, or NULL on error; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetCameraDevices(3)